#5121 closed change (fixed)

Use Acceptable Ads API in libadblockplus

Reported by: asmirnov Assignee:
Priority: P3 Milestone:
Module: Libadblockplus-Android Keywords:
Cc: sergz, fhd Blocked By: #4657
Blocking: Platform: Android
Ready: yes Confidential: no
Tester: Unknown Verified working: no
Review URL(s):

https://codereview.adblockplus.org/29405564/

Description

Background

AA API in libadblockplus was added in #4657. Since we're having the same methods set in libadblockplus-android we should avoid using it and use existing libadblockplus API.

What to change

Use AA API from libadblockplus, avoid changing API if possible for back-compatibility reason.

Change History (6)

comment:1 Changed 21 months ago by asmirnov

Recompilation of libadblockplus-binaries is required

comment:2 Changed 21 months ago by asmirnov

  • Summary changed from Use AA API in libadblockplus to Use Acceptable Ads API in libadblockplus

comment:3 Changed 21 months ago by asmirnov

  • Review URL(s) modified (diff)
  • Status changed from new to reviewing

comment:4 Changed 21 months ago by asmirnov

  • Ready set

comment:5 Changed 20 months ago by abpbot

A commit referencing this issue has landed:
Issue 5121 - Use Acceptable Ads API in libadblockplus

comment:6 Changed 20 months ago by asmirnov

  • Resolution set to fixed
  • Status changed from reviewing to closed
Note: See TracTickets for help on using tickets.